%--------------------------------------------------------------------------
% File     : FLD038-1 : TPTP v3.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Side change of a term in an equation by multiplication, part 2
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.62 v2.6.0, 0.67 v2.5.0, 0.80 v2.4.0, 1.00 v2.1.0
% Syntax   : Number of clauses     :   32 (   3 non-Horn;   8 unit;  32 RR)
%            Number of atoms       :   78 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   50 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(a_not_equal_to_additive_identity_3,negated_conjecture,
    ( ~ equalish(a,additive_identity) )).

cnf(multiplicative_identity_equals_multiply_4,negated_conjecture,
    ( equalish(multiplicative_identity,multiply(b,multiplicative_inverse(a))) )).

cnf(a_not_equal_to_b_5,negated_conjecture,
    ( ~ equalish(a,b) )).

%--------------------------------------------------------------------------
