%--------------------------------------------------------------------------
% File     : GEO027-2 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary 1 to unique extension
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.29 v3.2.0, 0.00 v3.1.0, 0.36 v2.7.0, 0.42 v2.6.0, 0.40 v2.5.0, 0.25 v2.4.0, 0.44 v2.3.0, 0.33 v2.2.1, 0.56 v2.2.0, 0.44 v2.1.0, 0.56 v2.0.0
% Syntax   : Number of clauses     :   21 (   5 non-Horn;   9 unit;  18 RR)
%            Number of atoms       :   59 (   9 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   11 (   6 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(v_between_u_and_w,hypothesis,
    ( between(u,v,w) )).

cnf(u_not_v,hypothesis,
    (  u != v )).

cnf(prove_w_is_an_extension,negated_conjecture,
    (  w != extension(u,v,v,w) )).

%--------------------------------------------------------------------------
