%--------------------------------------------------------------------------
% File     : GEO048-2 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Inner points of triangle
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.29 v3.2.0, 0.31 v3.1.0, 0.18 v2.7.0, 0.25 v2.6.0, 0.30 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.33 v2.2.0, 0.56 v2.1.0, 0.78 v2.0.0
% Syntax   : Number of clauses     :   23 (   5 non-Horn;  11 unit;  20 RR)
%            Number of atoms       :   61 (   7 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   14 (   9 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(v_between_u_and_w,hypothesis,
    ( between(u,v,w) )).

cnf(v1_between_u1_and_w,hypothesis,
    ( between(u1,v1,w) )).

cnf(x_between_u_and_u1,hypothesis,
    ( between(u,x,u1) )).

cnf(prove_conclusion1,negated_conjecture,
    ( ~ between(x,inner_pasch(v1,inner_pasch(u,x,u1,v1,w),u,v,w),w) )).

cnf(prove_conclusion2,negated_conjecture,
    ( ~ between(v,inner_pasch(v1,inner_pasch(u,x,u1,v1,w),u,v,w),v1) )).

%--------------------------------------------------------------------------
