%--------------------------------------------------------------------------
% File     : GEO053-2 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Unique endpoint
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.43 v3.2.0, 0.38 v3.1.0, 0.45 v2.7.0, 0.75 v2.6.0, 0.70 v2.5.0, 0.75 v2.4.0, 0.78 v2.3.0, 0.56 v2.2.1, 0.89 v2.2.0, 0.89 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   21 (   5 non-Horn;   9 unit;  18 RR)
%            Number of atoms       :   59 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   11 (   6 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(v_between_u_and_w,hypothesis,
    ( between(u,v,w) )).

cnf(u_to_v_equals_u_to_w,hypothesis,
    ( equidistant(u,v,u,w) )).

cnf(prove_v_equals_w,negated_conjecture,
    (  v != w )).

%--------------------------------------------------------------------------
