%--------------------------------------------------------------------------
% File     : GEO062-2 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Insertion identity
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.93 v3.2.0, 0.85 v3.1.0, 1.00 v2.7.0, 0.92 v2.6.0, 0.90 v2.5.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   21 (   5 non-Horn;   9 unit;  17 RR)
%            Number of atoms       :   59 (   9 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   12 (   6 constant; 0-6 arity)
%            Number of variables   :   75 (   3 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%----Include definition of insertion 
include('Axioms/GEO002-3.ax').
%--------------------------------------------------------------------------
cnf(v_between_u_and_w,hypothesis,
    ( between(u,v,w) )).

cnf(prove_v_equals_insertion,negated_conjecture,
    (  v != insertion(u,w,u,v) )).

%--------------------------------------------------------------------------
