%--------------------------------------------------------------------------
% File     : GEO087-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : If one curve is part of another curve then they cannot meet
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.07 v3.2.0, 0.08 v3.1.0, 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of clauses     :   50 (  21 non-Horn;   3 unit;  45 RR)
%            Number of atoms       :  156 (  21 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :   17 (   3 constant; 0-3 arity)
%            Number of variables   :  126 (  10 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO087+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%--------------------------------------------------------------------------
cnf(corollary_2_9_67,negated_conjecture,
    ( part_of(sk14,sk15) )).

cnf(corollary_2_9_68,negated_conjecture,
    ( meet(sk16,sk14,sk15) )).

%--------------------------------------------------------------------------
