%--------------------------------------------------------------------------
% File     : GEO153-1 : TPTP v3.2.0. Released v2.5.0.
% Domain   : Geometry (Tarskian)
% Problem  : Tarski geometry axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [Tar59] Tarski (1959), What is Elementary Geometry?
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [ANL]
% Names    : 

% Status   : Satisfiable
% Rating   : 1.00 v3.1.0, 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of clauses     :   20 (   6 non-Horn;   6 unit;  17 RR)
%            Number of atoms       :   64 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :    8 (   3 constant; 0-6 arity)
%            Number of variables   :   79 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms
include('Axioms/GEO001-0.ax').
%--------------------------------------------------------------------------
