%--------------------------------------------------------------------------
% File     : HEN003-3 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X/X = zero
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : HP3 [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses     :    8 (   0 non-Horn;   5 unit;   4 RR)
%            Number of atoms       :   12 (   4 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :   13 (   3 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
%--------------------------------------------------------------------------
cnf(prove_x_divide_x_is_zero,negated_conjecture,
    (  divide(a,a) != zero )).

%--------------------------------------------------------------------------
