%--------------------------------------------------------------------------
% File     : HWV005-1 : TPTP v3.2.0. Released v2.1.0.
% Domain   : Hardware Verification
% Problem  : A halfadder built from and, or and not gates
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses     :   42 (   3 non-Horn;  10 unit;  42 RR)
%            Number of atoms       :  110 (   0 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :   18 (  12 constant; 0-2 arity)
%            Number of variables   :   41 (   3 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/HWV001-0.ax').
%----Include model of halfadder
include('Axioms/HWV001-1.ax').
%--------------------------------------------------------------------------
%----Observations
cnf(h_isa_halfadder,hypothesis,
    ( type(h,halfadder) )).

cnf(in1_1,hypothesis,
    ( value(in(n1,h),n1) )).

cnf(in2_0,hypothesis,
    ( value(in(n2,h),n0) )).

cnf(outs_0,hypothesis,
    ( value(out(s,h),n0) )).

cnf(outc_0,hypothesis,
    ( value(out(c,h),n0) )).

cnf(diagnosis_and1,negated_conjecture,
    ( ~ mode(and1(h),abnormal) )).

cnf(diagnosis_not1,negated_conjecture,
    ( ~ mode(not1(h),abnormal) )).

cnf(diagnosis_or1,negated_conjecture,
    ( ~ mode(or1(h),abnormal) )).

%--------------------------------------------------------------------------
