%------------------------------------------------------------------------------
% File     : LAT267-1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Analysis
% Problem  : Problem about Tarski's fixed point theorem
% Version  : [Pau06] axioms : Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : Tarski__glb_lower_4 [Pau06]

% Status   : Unsatisfiable
% Rating   : 0.43 v3.2.0
% Syntax   : Number of clauses     : 2752 ( 248 non-Horn; 660 unit;1975 RR)
%            Number of atoms       : 6025 (1293 equality)
%            Maximal clause size   :    7 (   2 average)
%            Number of predicates  :   89 (   0 propositional; 1-3 arity)
%            Number of functors    :  251 (  52 constant; 0-18 arity)
%            Number of variables   : 5750 (1174 singleton)
%            Maximal term depth    :    8 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found.
%------------------------------------------------------------------------------
include('Axioms/LAT006-1.ax').
include('Axioms/LAT006-0.ax').
include('Axioms/MSC001-1.ax').
include('Axioms/MSC001-0.ax').
%------------------------------------------------------------------------------
cnf(cls_conjecture_0,negated_conjecture,
    ( c_lessequals(v_S,c_Tarski_Opotype_Opset(v_cl,t_a,tc_Product__Type_Ounit),tc_set(t_a)) )).

cnf(cls_conjecture_1,negated_conjecture,
    ( c_in(v_x,v_S,t_a) )).

cnf(cls_conjecture_2,negated_conjecture,
    ( ~ c_in(v_x,v_S,t_a) )).

%------------------------------------------------------------------------------
