%--------------------------------------------------------------------------
% File     : LCL407-2 : TPTP v3.2.0. Released v2.5.0.
% Domain   : Logic Calculi (Wajsberg Algebras)
% Problem  : Alternative Wajsberg algebra axioms
% Version  : [AB90] (equality) axioms.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [AB90]  Anantharaman & Bonacina (1990), An Application of the 
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.00 v3.2.0, 0.33 v3.1.0, 0.00 v2.5.0
% Syntax   : Number of clauses     :    8 (   0 non-Horn;   8 unit;   0 RR)
%            Number of atoms       :    8 (   8 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   2 constant; 0-2 arity)
%            Number of variables   :   10 (   1 singleton)
%            Maximal term depth    :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Alternative Wajsberg algebra axioms
include('Axioms/LCL002-0.ax').
%--------------------------------------------------------------------------
