%------------------------------------------------------------------------------
% File     : NUM378+1.015.020 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Number Theory
% Problem  : Find assignment in 0-15 to satisfy 20 inequalities, very very hard
% Version  : [Cim05] axioms.
% English  : Find an assignment to two variables which are in range 0..N,
%            so that 20 pairs complex terms are not equal (and they are).

% Refs     : [Cim05] Cimatti (2006), Email to G. Sutcliffe
% Source   : [Cim05]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v3.2.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  564 ( 564 equality)
%            Maximal formula depth :  654 ( 654 average)
%            Number of connectives :  687 ( 124 ~  ;  33  |; 530  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   19 (  16 constant; 0-2 arity)
%            Number of variables   :  122 (   0 singleton;   0 !; 122 ?)
%            Maximal term depth    :   17 (   3 average)

% Comments :
%------------------------------------------------------------------------------
fof(try_satisfy_this,axiom,(
    ? [X0,Y0,X1,Y1,X2,Y2,X3,Y3,X4,Y4,X5,Y5,X6,Y6,X7,Y7,X8,Y8,X9,Y9,X10,Y10,X11,Y11,X12,Y12,X13,Y13,X14,Y14,X15,Y15,X16,Y16,X17,Y17,X18,Y18,X19,Y19,X20,Y20,NPX0,NPY0,NSX0,NSY0,NPX1,NPY1,NSX1,NSY1,NPX2,NPY2,NSX2,NSY2,NPX3,NPY3,NSX3,NSY3,NPX4,NPY4,NSX4,NSY4,NPX5,NPY5,NSX5,NSY5,NPX6,NPY6,NSX6,NSY6,NPX7,NPY7,NSX7,NSY7,NPX8,NPY8,NSX8,NSY8,NPX9,NPY9,NSX9,NSY9,NPX10,NPY10,NSX10,NSY10,NPX11,NPY11,NSX11,NSY11,NPX12,NPY12,NSX12,NSY12,NPX13,NPY13,NSX13,NSY13,NPX14,NPY14,NSX14,NSY14,NPX15,NPY15,NSX15,NSY15,NPX16,NPY16,NSX16,NSY16,NPX17,NPY17,NSX17,NSY17,NPX18,NPY18,NSX18,NSY18,NPX19,NPY19,NSX19,NSY19] : 
      ( succ(n0) = n1
      & succ(n1) = n2
      & succ(n2) = n3
      & succ(n3) = n4
      & succ(n4) = n5
      & succ(n5) = n6
      & succ(n6) = n7
      & succ(n7) = n8
      & succ(n8) = n9
      & succ(n9) = n10
      & succ(n10) = n11
      & succ(n11) = n12
      & succ(n12) = n13
      & succ(n13) = n14
      & succ(n14) = n15
      & succ(n15) = n0
      & pred(n0) = n15
      & pred(n1) = n0
      & pred(n2) = n1
      & pred(n3) = n2
      & pred(n4) = n3
      & pred(n5) = n4
      & pred(n6) = n5
      & pred(n7) = n6
      & pred(n8) = n7
      & pred(n9) = n8
      & pred(n10) = n9
      & pred(n11) = n10
      & pred(n12) = n11
      & pred(n13) = n12
      & pred(n14) = n13
      & pred(n15) = n14
      & sum(n0,n0) = n0
      & sum(n0,n1) = n1
      & sum(n0,n2) = n2
      & sum(n0,n3) = n3
      & sum(n0,n4) = n4
      & sum(n0,n5) = n5
      & sum(n0,n6) = n6
      & sum(n0,n7) = n7
      & sum(n0,n8) = n8
      & sum(n0,n9) = n9
      & sum(n0,n10) = n10
      & sum(n0,n11) = n11
      & sum(n0,n12) = n12
      & sum(n0,n13) = n13
      & sum(n0,n14) = n14
      & sum(n0,n15) = n15
      & sum(n1,n0) = n1
      & sum(n1,n1) = n2
      & sum(n1,n2) = n3
      & sum(n1,n3) = n4
      & sum(n1,n4) = n5
      & sum(n1,n5) = n6
      & sum(n1,n6) = n7
      & sum(n1,n7) = n8
      & sum(n1,n8) = n9
      & sum(n1,n9) = n10
      & sum(n1,n10) = n11
      & sum(n1,n11) = n12
      & sum(n1,n12) = n13
      & sum(n1,n13) = n14
      & sum(n1,n14) = n15
      & sum(n1,n15) = n0
      & sum(n2,n0) = n2
      & sum(n2,n1) = n3
      & sum(n2,n2) = n4
      & sum(n2,n3) = n5
      & sum(n2,n4) = n6
      & sum(n2,n5) = n7
      & sum(n2,n6) = n8
      & sum(n2,n7) = n9
      & sum(n2,n8) = n10
      & sum(n2,n9) = n11
      & sum(n2,n10) = n12
      & sum(n2,n11) = n13
      & sum(n2,n12) = n14
      & sum(n2,n13) = n15
      & sum(n2,n14) = n0
      & sum(n2,n15) = n1
      & sum(n3,n0) = n3
      & sum(n3,n1) = n4
      & sum(n3,n2) = n5
      & sum(n3,n3) = n6
      & sum(n3,n4) = n7
      & sum(n3,n5) = n8
      & sum(n3,n6) = n9
      & sum(n3,n7) = n10
      & sum(n3,n8) = n11
      & sum(n3,n9) = n12
      & sum(n3,n10) = n13
      & sum(n3,n11) = n14
      & sum(n3,n12) = n15
      & sum(n3,n13) = n0
      & sum(n3,n14) = n1
      & sum(n3,n15) = n2
      & sum(n4,n0) = n4
      & sum(n4,n1) = n5
      & sum(n4,n2) = n6
      & sum(n4,n3) = n7
      & sum(n4,n4) = n8
      & sum(n4,n5) = n9
      & sum(n4,n6) = n10
      & sum(n4,n7) = n11
      & sum(n4,n8) = n12
      & sum(n4,n9) = n13
      & sum(n4,n10) = n14
      & sum(n4,n11) = n15
      & sum(n4,n12) = n0
      & sum(n4,n13) = n1
      & sum(n4,n14) = n2
      & sum(n4,n15) = n3
      & sum(n5,n0) = n5
      & sum(n5,n1) = n6
      & sum(n5,n2) = n7
      & sum(n5,n3) = n8
      & sum(n5,n4) = n9
      & sum(n5,n5) = n10
      & sum(n5,n6) = n11
      & sum(n5,n7) = n12
      & sum(n5,n8) = n13
      & sum(n5,n9) = n14
      & sum(n5,n10) = n15
      & sum(n5,n11) = n0
      & sum(n5,n12) = n1
      & sum(n5,n13) = n2
      & sum(n5,n14) = n3
      & sum(n5,n15) = n4
      & sum(n6,n0) = n6
      & sum(n6,n1) = n7
      & sum(n6,n2) = n8
      & sum(n6,n3) = n9
      & sum(n6,n4) = n10
      & sum(n6,n5) = n11
      & sum(n6,n6) = n12
      & sum(n6,n7) = n13
      & sum(n6,n8) = n14
      & sum(n6,n9) = n15
      & sum(n6,n10) = n0
      & sum(n6,n11) = n1
      & sum(n6,n12) = n2
      & sum(n6,n13) = n3
      & sum(n6,n14) = n4
      & sum(n6,n15) = n5
      & sum(n7,n0) = n7
      & sum(n7,n1) = n8
      & sum(n7,n2) = n9
      & sum(n7,n3) = n10
      & sum(n7,n4) = n11
      & sum(n7,n5) = n12
      & sum(n7,n6) = n13
      & sum(n7,n7) = n14
      & sum(n7,n8) = n15
      & sum(n7,n9) = n0
      & sum(n7,n10) = n1
      & sum(n7,n11) = n2
      & sum(n7,n12) = n3
      & sum(n7,n13) = n4
      & sum(n7,n14) = n5
      & sum(n7,n15) = n6
      & sum(n8,n0) = n8
      & sum(n8,n1) = n9
      & sum(n8,n2) = n10
      & sum(n8,n3) = n11
      & sum(n8,n4) = n12
      & sum(n8,n5) = n13
      & sum(n8,n6) = n14
      & sum(n8,n7) = n15
      & sum(n8,n8) = n0
      & sum(n8,n9) = n1
      & sum(n8,n10) = n2
      & sum(n8,n11) = n3
      & sum(n8,n12) = n4
      & sum(n8,n13) = n5
      & sum(n8,n14) = n6
      & sum(n8,n15) = n7
      & sum(n9,n0) = n9
      & sum(n9,n1) = n10
      & sum(n9,n2) = n11
      & sum(n9,n3) = n12
      & sum(n9,n4) = n13
      & sum(n9,n5) = n14
      & sum(n9,n6) = n15
      & sum(n9,n7) = n0
      & sum(n9,n8) = n1
      & sum(n9,n9) = n2
      & sum(n9,n10) = n3
      & sum(n9,n11) = n4
      & sum(n9,n12) = n5
      & sum(n9,n13) = n6
      & sum(n9,n14) = n7
      & sum(n9,n15) = n8
      & sum(n10,n0) = n10
      & sum(n10,n1) = n11
      & sum(n10,n2) = n12
      & sum(n10,n3) = n13
      & sum(n10,n4) = n14
      & sum(n10,n5) = n15
      & sum(n10,n6) = n0
      & sum(n10,n7) = n1
      & sum(n10,n8) = n2
      & sum(n10,n9) = n3
      & sum(n10,n10) = n4
      & sum(n10,n11) = n5
      & sum(n10,n12) = n6
      & sum(n10,n13) = n7
      & sum(n10,n14) = n8
      & sum(n10,n15) = n9
      & sum(n11,n0) = n11
      & sum(n11,n1) = n12
      & sum(n11,n2) = n13
      & sum(n11,n3) = n14
      & sum(n11,n4) = n15
      & sum(n11,n5) = n0
      & sum(n11,n6) = n1
      & sum(n11,n7) = n2
      & sum(n11,n8) = n3
      & sum(n11,n9) = n4
      & sum(n11,n10) = n5
      & sum(n11,n11) = n6
      & sum(n11,n12) = n7
      & sum(n11,n13) = n8
      & sum(n11,n14) = n9
      & sum(n11,n15) = n10
      & sum(n12,n0) = n12
      & sum(n12,n1) = n13
      & sum(n12,n2) = n14
      & sum(n12,n3) = n15
      & sum(n12,n4) = n0
      & sum(n12,n5) = n1
      & sum(n12,n6) = n2
      & sum(n12,n7) = n3
      & sum(n12,n8) = n4
      & sum(n12,n9) = n5
      & sum(n12,n10) = n6
      & sum(n12,n11) = n7
      & sum(n12,n12) = n8
      & sum(n12,n13) = n9
      & sum(n12,n14) = n10
      & sum(n12,n15) = n11
      & sum(n13,n0) = n13
      & sum(n13,n1) = n14
      & sum(n13,n2) = n15
      & sum(n13,n3) = n0
      & sum(n13,n4) = n1
      & sum(n13,n5) = n2
      & sum(n13,n6) = n3
      & sum(n13,n7) = n4
      & sum(n13,n8) = n5
      & sum(n13,n9) = n6
      & sum(n13,n10) = n7
      & sum(n13,n11) = n8
      & sum(n13,n12) = n9
      & sum(n13,n13) = n10
      & sum(n13,n14) = n11
      & sum(n13,n15) = n12
      & sum(n14,n0) = n14
      & sum(n14,n1) = n15
      & sum(n14,n2) = n0
      & sum(n14,n3) = n1
      & sum(n14,n4) = n2
      & sum(n14,n5) = n3
      & sum(n14,n6) = n4
      & sum(n14,n7) = n5
      & sum(n14,n8) = n6
      & sum(n14,n9) = n7
      & sum(n14,n10) = n8
      & sum(n14,n11) = n9
      & sum(n14,n12) = n10
      & sum(n14,n13) = n11
      & sum(n14,n14) = n12
      & sum(n14,n15) = n13
      & sum(n15,n0) = n15
      & sum(n15,n1) = n0
      & sum(n15,n2) = n1
      & sum(n15,n3) = n2
      & sum(n15,n4) = n3
      & sum(n15,n5) = n4
      & sum(n15,n6) = n5
      & sum(n15,n7) = n6
      & sum(n15,n8) = n7
      & sum(n15,n9) = n8
      & sum(n15,n10) = n9
      & sum(n15,n11) = n10
      & sum(n15,n12) = n11
      & sum(n15,n13) = n12
      & sum(n15,n14) = n13
      & sum(n15,n15) = n14
      & ( X0 = n0
        | X0 = n1
        | X0 = n2
        | X0 = n3
        | X0 = n4
        | X0 = n5
        | X0 = n6
        | X0 = n7
        | X0 = n8
        | X0 = n9
        | X0 = n10
        | X0 = n11
        | X0 = n12
        | X0 = n13
        | X0 = n14
        | X0 = n15 )
      & ( Y0 = n0
        | Y0 = n1
        | Y0 = n2
        | Y0 = n3
        | Y0 = n4
        | Y0 = n5
        | Y0 = n6
        | Y0 = n7
        | Y0 = n8
        | Y0 = n9
        | Y0 = n10
        | Y0 = n11
        | Y0 = n12
        | Y0 = n13
        | Y0 = n14
        | Y0 = n15 )
      & NPX0 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X0))))))))))))))))
      & NSX0 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X0))))))))))))))))
      & NPY0 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y0))))))))))))))))
      & NSY0 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y0))))))))))))))))
      & NPX1 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X1))))))))))))))))
      & NSX1 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X1))))))))))))))))
      & NPY1 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y1))))))))))))))))
      & NSY1 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y1))))))))))))))))
      & NPX2 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X2))))))))))))))))
      & NSX2 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X2))))))))))))))))
      & NPY2 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y2))))))))))))))))
      & NSY2 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y2))))))))))))))))
      & NPX3 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X3))))))))))))))))
      & NSX3 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X3))))))))))))))))
      & NPY3 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y3))))))))))))))))
      & NSY3 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y3))))))))))))))))
      & NPX4 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X4))))))))))))))))
      & NSX4 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X4))))))))))))))))
      & NPY4 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y4))))))))))))))))
      & NSY4 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y4))))))))))))))))
      & NPX5 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X5))))))))))))))))
      & NSX5 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X5))))))))))))))))
      & NPY5 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y5))))))))))))))))
      & NSY5 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y5))))))))))))))))
      & NPX6 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X6))))))))))))))))
      & NSX6 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X6))))))))))))))))
      & NPY6 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y6))))))))))))))))
      & NSY6 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y6))))))))))))))))
      & NPX7 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X7))))))))))))))))
      & NSX7 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X7))))))))))))))))
      & NPY7 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y7))))))))))))))))
      & NSY7 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y7))))))))))))))))
      & NPX8 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X8))))))))))))))))
      & NSX8 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X8))))))))))))))))
      & NPY8 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y8))))))))))))))))
      & NSY8 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y8))))))))))))))))
      & NPX9 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X9))))))))))))))))
      & NSX9 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X9))))))))))))))))
      & NPY9 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y9))))))))))))))))
      & NSY9 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y9))))))))))))))))
      & NPX10 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X10))))))))))))))))
      & NSX10 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X10))))))))))))))))
      & NPY10 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y10))))))))))))))))
      & NSY10 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y10))))))))))))))))
      & NPX11 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X11))))))))))))))))
      & NSX11 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X11))))))))))))))))
      & NPY11 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y11))))))))))))))))
      & NSY11 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y11))))))))))))))))
      & NPX12 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X12))))))))))))))))
      & NSX12 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X12))))))))))))))))
      & NPY12 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y12))))))))))))))))
      & NSY12 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y12))))))))))))))))
      & NPX13 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X13))))))))))))))))
      & NSX13 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X13))))))))))))))))
      & NPY13 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y13))))))))))))))))
      & NSY13 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y13))))))))))))))))
      & NPX14 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X14))))))))))))))))
      & NSX14 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X14))))))))))))))))
      & NPY14 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y14))))))))))))))))
      & NSY14 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y14))))))))))))))))
      & NPX15 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X15))))))))))))))))
      & NSX15 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X15))))))))))))))))
      & NPY15 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y15))))))))))))))))
      & NSY15 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y15))))))))))))))))
      & NPX16 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X16))))))))))))))))
      & NSX16 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X16))))))))))))))))
      & NPY16 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y16))))))))))))))))
      & NSY16 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y16))))))))))))))))
      & NPX17 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X17))))))))))))))))
      & NSX17 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X17))))))))))))))))
      & NPY17 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y17))))))))))))))))
      & NSY17 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y17))))))))))))))))
      & NPX18 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X18))))))))))))))))
      & NSX18 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X18))))))))))))))))
      & NPY18 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y18))))))))))))))))
      & NSY18 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y18))))))))))))))))
      & NPX19 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(X19))))))))))))))))
      & NSX19 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(X19))))))))))))))))
      & NPY19 = pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(pred(Y19))))))))))))))))
      & NSY19 = succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(succ(Y19))))))))))))))))
      & X1 = sum(sum(pred(X0),succ(Y0)),sum(pred(Y0),succ(X0)))
      & Y1 = sum(pred(NSX0),sum(succ(NPX0),sum(pred(NSY0),succ(NPY0))))
      & X2 = sum(sum(pred(X1),succ(Y1)),sum(pred(Y1),succ(X1)))
      & Y2 = sum(pred(NSX1),sum(succ(NPX1),sum(pred(NSY1),succ(NPY1))))
      & X3 = sum(sum(pred(X2),succ(Y2)),sum(pred(Y2),succ(X2)))
      & Y3 = sum(pred(NSX2),sum(succ(NPX2),sum(pred(NSY2),succ(NPY2))))
      & X4 = sum(sum(pred(X3),succ(Y3)),sum(pred(Y3),succ(X3)))
      & Y4 = sum(pred(NSX3),sum(succ(NPX3),sum(pred(NSY3),succ(NPY3))))
      & X5 = sum(sum(pred(X4),succ(Y4)),sum(pred(Y4),succ(X4)))
      & Y5 = sum(pred(NSX4),sum(succ(NPX4),sum(pred(NSY4),succ(NPY4))))
      & X6 = sum(sum(pred(X5),succ(Y5)),sum(pred(Y5),succ(X5)))
      & Y6 = sum(pred(NSX5),sum(succ(NPX5),sum(pred(NSY5),succ(NPY5))))
      & X7 = sum(sum(pred(X6),succ(Y6)),sum(pred(Y6),succ(X6)))
      & Y7 = sum(pred(NSX6),sum(succ(NPX6),sum(pred(NSY6),succ(NPY6))))
      & X8 = sum(sum(pred(X7),succ(Y7)),sum(pred(Y7),succ(X7)))
      & Y8 = sum(pred(NSX7),sum(succ(NPX7),sum(pred(NSY7),succ(NPY7))))
      & X9 = sum(sum(pred(X8),succ(Y8)),sum(pred(Y8),succ(X8)))
      & Y9 = sum(pred(NSX8),sum(succ(NPX8),sum(pred(NSY8),succ(NPY8))))
      & X10 = sum(sum(pred(X9),succ(Y9)),sum(pred(Y9),succ(X9)))
      & Y10 = sum(pred(NSX9),sum(succ(NPX9),sum(pred(NSY9),succ(NPY9))))
      & X11 = sum(sum(pred(X10),succ(Y10)),sum(pred(Y10),succ(X10)))
      & Y11 = sum(pred(NSX10),sum(succ(NPX10),sum(pred(NSY10),succ(NPY10))))
      & X12 = sum(sum(pred(X11),succ(Y11)),sum(pred(Y11),succ(X11)))
      & Y12 = sum(pred(NSX11),sum(succ(NPX11),sum(pred(NSY11),succ(NPY11))))
      & X13 = sum(sum(pred(X12),succ(Y12)),sum(pred(Y12),succ(X12)))
      & Y13 = sum(pred(NSX12),sum(succ(NPX12),sum(pred(NSY12),succ(NPY12))))
      & X14 = sum(sum(pred(X13),succ(Y13)),sum(pred(Y13),succ(X13)))
      & Y14 = sum(pred(NSX13),sum(succ(NPX13),sum(pred(NSY13),succ(NPY13))))
      & X15 = sum(sum(pred(X14),succ(Y14)),sum(pred(Y14),succ(X14)))
      & Y15 = sum(pred(NSX14),sum(succ(NPX14),sum(pred(NSY14),succ(NPY14))))
      & X16 = sum(sum(pred(X15),succ(Y15)),sum(pred(Y15),succ(X15)))
      & Y16 = sum(pred(NSX15),sum(succ(NPX15),sum(pred(NSY15),succ(NPY15))))
      & X17 = sum(sum(pred(X16),succ(Y16)),sum(pred(Y16),succ(X16)))
      & Y17 = sum(pred(NSX16),sum(succ(NPX16),sum(pred(NSY16),succ(NPY16))))
      & X18 = sum(sum(pred(X17),succ(Y17)),sum(pred(Y17),succ(X17)))
      & Y18 = sum(pred(NSX17),sum(succ(NPX17),sum(pred(NSY17),succ(NPY17))))
      & X19 = sum(sum(pred(X18),succ(Y18)),sum(pred(Y18),succ(X18)))
      & Y19 = sum(pred(NSX18),sum(succ(NPX18),sum(pred(NSY18),succ(NPY18))))
      & X20 = sum(sum(pred(X19),succ(Y19)),sum(pred(Y19),succ(X19)))
      & Y20 = sum(pred(NSX19),sum(succ(NPX19),sum(pred(NSY19),succ(NPY19))))
      & ( X17 != Y17
        | X18 != Y18
        | X19 != Y19
        | X20 != Y20 )
      & n0 != n1
      & n0 != n2
      & n0 != n3
      & n0 != n4
      & n0 != n5
      & n0 != n6
      & n0 != n7
      & n0 != n8
      & n0 != n9
      & n0 != n10
      & n0 != n11
      & n0 != n12
      & n0 != n13
      & n0 != n14
      & n0 != n15
      & n1 != n2
      & n1 != n3
      & n1 != n4
      & n1 != n5
      & n1 != n6
      & n1 != n7
      & n1 != n8
      & n1 != n9
      & n1 != n10
      & n1 != n11
      & n1 != n12
      & n1 != n13
      & n1 != n14
      & n1 != n15
      & n2 != n3
      & n2 != n4
      & n2 != n5
      & n2 != n6
      & n2 != n7
      & n2 != n8
      & n2 != n9
      & n2 != n10
      & n2 != n11
      & n2 != n12
      & n2 != n13
      & n2 != n14
      & n2 != n15
      & n3 != n4
      & n3 != n5
      & n3 != n6
      & n3 != n7
      & n3 != n8
      & n3 != n9
      & n3 != n10
      & n3 != n11
      & n3 != n12
      & n3 != n13
      & n3 != n14
      & n3 != n15
      & n4 != n5
      & n4 != n6
      & n4 != n7
      & n4 != n8
      & n4 != n9
      & n4 != n10
      & n4 != n11
      & n4 != n12
      & n4 != n13
      & n4 != n14
      & n4 != n15
      & n5 != n6
      & n5 != n7
      & n5 != n8
      & n5 != n9
      & n5 != n10
      & n5 != n11
      & n5 != n12
      & n5 != n13
      & n5 != n14
      & n5 != n15
      & n6 != n7
      & n6 != n8
      & n6 != n9
      & n6 != n10
      & n6 != n11
      & n6 != n12
      & n6 != n13
      & n6 != n14
      & n6 != n15
      & n7 != n8
      & n7 != n9
      & n7 != n10
      & n7 != n11
      & n7 != n12
      & n7 != n13
      & n7 != n14
      & n7 != n15
      & n8 != n9
      & n8 != n10
      & n8 != n11
      & n8 != n12
      & n8 != n13
      & n8 != n14
      & n8 != n15
      & n9 != n10
      & n9 != n11
      & n9 != n12
      & n9 != n13
      & n9 != n14
      & n9 != n15
      & n10 != n11
      & n10 != n12
      & n10 != n13
      & n10 != n14
      & n10 != n15
      & n11 != n12
      & n11 != n13
      & n11 != n14
      & n11 != n15
      & n12 != n13
      & n12 != n14
      & n12 != n15
      & n13 != n14
      & n13 != n15
      & n14 != n15 ) )).

