%--------------------------------------------------------------------------
% File     : PLA030-1 : TPTP v3.2.0. Released v2.5.0.
% Domain   : Planning (Blocks world)
% Problem  : Blocks world difference axioms for 4 blocks
% Version  : [SE94] axioms.
% English  : 

% Refs     : [Sus73] Sussman (1973), A Computational Model of Skill Acquisi
%          : [SE94]  Segre & Elkan (1994), A High-Performance Explanation-B
% Source   : [SE94]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.17 v3.2.0, 0.00 v2.5.0
% Syntax   : Number of clauses     :   30 (   0 non-Horn;  19 unit;  27 RR)
%            Number of atoms       :   52 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :   14 (   7 constant; 0-2 arity)
%            Number of variables   :   36 (   4 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Blocks world axioms
include('Axioms/PLA001-0.ax').
%----Include Blocks world difference axioms for 4 blocks
include('Axioms/PLA001-1.ax').
%--------------------------------------------------------------------------
