%--------------------------------------------------------------------------
% File     : SET021-6 : TPTP v3.2.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : 2nd is unique when x is an ordered pair of sets
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.64 v3.2.0, 0.77 v3.1.0, 0.55 v2.7.0, 0.83 v2.6.0, 0.78 v2.5.0, 0.82 v2.4.0, 0.75 v2.2.1, 0.83 v2.2.0, 0.67 v2.1.0
% Syntax   : Number of clauses     :   93 (   8 non-Horn;  31 unit;  64 RR)
%            Number of atoms       :  183 (  40 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :   10 (   0 propositional; 1-3 arity)
%            Number of functors    :   40 (  10 constant; 0-3 arity)
%            Number of variables   :  176 (  25 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
%--------------------------------------------------------------------------
cnf(prove_unique_1st_and_2nd_in_pair_of_sets2_1,negated_conjecture,
    ( member(ordered_pair(u,v),cross_product(universal_class,universal_class)) )).

cnf(prove_unique_1st_and_2nd_in_pair_of_sets2_2,negated_conjecture,
    (  second(ordered_pair(u,v)) != v )).

%--------------------------------------------------------------------------
