%--------------------------------------------------------------------------
% File     : SET087-6 : TPTP v3.2.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : A singleton set has a member, part 2
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses     :   93 (   8 non-Horn;  31 unit;  64 RR)
%            Number of atoms       :  183 (  40 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :   10 (   0 propositional; 1-3 arity)
%            Number of functors    :   40 (   9 constant; 0-3 arity)
%            Number of variables   :  176 (  25 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
%--------------------------------------------------------------------------
cnf(prove_member_exists2_1,negated_conjecture,
    ( member(y,universal_class) )).

cnf(prove_member_exists2_2,negated_conjecture,
    (  singleton(member_of(singleton(y))) != singleton(y) )).

%--------------------------------------------------------------------------
