%------------------------------------------------------------------------------
% File     : SET801+4 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Set Theory (Order relations)
% Problem  : M is the greatest element iff it is a member and a LUB
% Version  : [Pas05] axioms.
% English  :

% Refs     : [Pas05] Pastre (2005), Email to G. Sutcliffe
% Source   : [Pas05]
% Names    :

% Status   : Theorem
% Rating   : 0.79 v3.2.0
% Syntax   : Number of formulae    :   22 (   1 unit)
%            Number of atoms       :   90 (   6 equality)
%            Maximal formula depth :   12 (   7 average)
%            Number of connectives :   70 (   2 ~  ;   3  |;  26  &)
%                                         (  21 <=>;  18 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   15 (   0 propositional; 2-4 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   78 (   0 singleton;  77 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments :
%------------------------------------------------------------------------------
%----Include set theory definitions
include('Axioms/SET006+0.ax').
%----Include order relation axioms
include('Axioms/SET006+3.ax').
%------------------------------------------------------------------------------
fof(thIV13,conjecture,(
    ! [R,E] : 
      ( order(R,E)
     => ! [X] : 
          ( subset(X,E)
         => ! [M] : 
              ( greatest(M,R,X)
            <=> ( member(M,X)
                & least_upper_bound(M,X,R,E) ) ) ) ) )).

%------------------------------------------------------------------------------
