%--------------------------------------------------------------------------
% File     : BOO013-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Boolean Algebra
% Problem  : The inverse of X is unique
% Version  : [MOW76] axioms : Augmented.
% English  : 

% Refs     : [Whi61] Whitesitt (1961), Boolean Algebra and Its Applications
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : B9 [MOW76]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0, 0.11 v2.7.0, 0.00 v2.4.0, 0.17 v2.3.0, 0.00 v2.2.1, 0.11 v2.2.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   27 (   0 non-Horn;  15 unit;  17 RR)
%            Number of atoms       :   65 (   3 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   82 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%--------------------------------------------------------------------------
cnf(sum_to_multiplicative_identity1,negated_conjecture,
    ( sum(x,y,multiplicative_identity) )).

cnf(sum_to_multiplicative_identity2,negated_conjecture,
    ( sum(x,z,multiplicative_identity) )).

cnf(product_to_additive_identity1,negated_conjecture,
    ( product(x,y,additive_identity) )).

cnf(product_to_additive_identity2,negated_conjecture,
    ( product(x,z,additive_identity) )).

cnf(prove_both_inverse_are_equal,negated_conjecture,
    (  y != z )).

%--------------------------------------------------------------------------
