%--------------------------------------------------------------------------
% File     : FLD010-1 : TPTP v3.2.0. Bugfixed v2.7.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : In the multiplicative group inverse(identity)=identity
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.00 v2.7.0
% Syntax   : Number of clauses     :   28 (   3 non-Horn;   4 unit;  28 RR)
%            Number of atoms       :   74 (   0 equality)
%            Maximal clause size   :    4 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   50 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%          : v2.7.0 - Removed duplicate clause
%            additive_id_not_equal_to_multiplicative_id_1 (now in axioms)
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
cnf(multiplicative_inv_not_equal_to_multiplicative_id_2,negated_conjecture,
    ( ~ equalish(multiplicative_inverse(multiplicative_identity),multiplicative_identity) )).

%--------------------------------------------------------------------------
