%--------------------------------------------------------------------------
% File     : FLD021-1 : TPTP v3.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Every element equal to zero is an additive identity 
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.33 v3.1.0, 0.17 v2.7.0, 0.00 v2.6.0, 0.33 v2.5.0, 0.00 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses     :   31 (   3 non-Horn;   7 unit;  31 RR)
%            Number of atoms       :   77 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   50 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(m_is_defined,hypothesis,
    ( defined(m) )).

cnf(m_equals_additive_identity_3,negated_conjecture,
    ( equalish(m,additive_identity) )).

cnf(add_not_equal_to_a_4,negated_conjecture,
    ( ~ equalish(add(m,a),a) )).

%--------------------------------------------------------------------------
