%--------------------------------------------------------------------------
% File     : FLD061-2 : TPTP v3.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : The resulting inequality of a summation of two inequalities
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.33 v2.7.0, 0.12 v2.6.0, 0.33 v2.5.0, 0.40 v2.4.0, 0.80 v2.3.0, 0.67 v2.2.1, 1.00 v2.1.0
% Syntax   : Number of clauses     :   38 (   3 non-Horn;  14 unit;  38 RR)
%            Number of atoms       :   84 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :   12 (   8 constant; 0-2 arity)
%            Number of variables   :   50 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(c_is_defined,hypothesis,
    ( defined(c) )).

cnf(d_is_defined,hypothesis,
    ( defined(d) )).

cnf(u_is_defined,hypothesis,
    ( defined(u) )).

cnf(v_is_defined,hypothesis,
    ( defined(v) )).

cnf(add_equals_u_7,negated_conjecture,
    ( equalish(add(a,c),u) )).

cnf(add_equals_v_8,negated_conjecture,
    ( equalish(add(d,b),v) )).

cnf(less_or_equal_9,negated_conjecture,
    ( less_or_equal(a,b) )).

cnf(less_or_equal_10,negated_conjecture,
    ( less_or_equal(c,d) )).

cnf(not_less_or_equal_11,negated_conjecture,
    ( ~ less_or_equal(u,v) )).

%--------------------------------------------------------------------------
