%--------------------------------------------------------------------------
% File     : FLD090-3 : TPTP v3.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : A characterization of 1 with help of the order relation
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.33 v3.2.0, 0.67 v2.7.0, 0.88 v2.6.0, 1.00 v2.1.0
% Syntax   : Number of clauses     :   29 (   3 non-Horn;   5 unit;  29 RR)
%            Number of atoms       :   81 (   0 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   75 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
cnf(m_is_defined,hypothesis,
    ( defined(m) )).

cnf(less_or_equal_or_not_product_2,negated_conjecture,
    ( less_or_equal(Y,X)
    | ~ product(m,X,Y) )).

cnf(not_sum_3,negated_conjecture,
    ( ~ sum(additive_identity,m,multiplicative_identity) )).

%--------------------------------------------------------------------------
