%--------------------------------------------------------------------------
% File     : GEO028-2 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary 2 to unique extension
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.71 v3.2.0, 0.54 v3.1.0, 0.91 v2.7.0, 0.83 v2.6.0, 0.80 v2.5.0, 0.92 v2.4.0, 0.89 v2.2.1, 1.00 v2.0.0
% Syntax   : Number of clauses     :   21 (   5 non-Horn;   9 unit;  18 RR)
%            Number of atoms       :   59 (   9 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   14 (   9 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(w_to_x_equals_y_to_z,hypothesis,
    ( equidistant(w,x,y,z) )).

cnf(u_not_v,hypothesis,
    (  u != v )).

cnf(prove_equal_extensions,negated_conjecture,
    (  extension(u,v,w,x) != extension(u,v,y,z) )).

%--------------------------------------------------------------------------
