%--------------------------------------------------------------------------
% File     : GEO084-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Sum is monotone, part 2
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.36 v3.2.0, 0.31 v3.1.0, 0.27 v2.7.0, 0.25 v2.6.0, 0.22 v2.5.0, 0.44 v2.4.0
% Syntax   : Number of clauses     :   52 (  21 non-Horn;   5 unit;  47 RR)
%            Number of atoms       :  158 (  21 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :   18 (   4 constant; 0-3 arity)
%            Number of variables   :  126 (  10 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO084+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%--------------------------------------------------------------------------
cnf(corollary_2_6_2_67,negated_conjecture,
    ( part_of(sk14,sk16) )).

cnf(corollary_2_6_2_68,negated_conjecture,
    ( part_of(sk15,sk16) )).

cnf(corollary_2_6_2_69,negated_conjecture,
    ( meet(sk17,sk14,sk15) )).

cnf(corollary_2_6_2_70,negated_conjecture,
    ( ~ part_of(sum(sk14,sk15),sk16) )).

%--------------------------------------------------------------------------
