%--------------------------------------------------------------------------
% File     : GRP009-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : The left inverse of an element is unique
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 6 [Wos65]
%          : wos6 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :   11 (   0 non-Horn;   8 unit;   6 RR)
%            Number of atoms       :   19 (   2 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-3 arity)
%            Number of functors    :    6 (   4 constant; 0-2 arity)
%            Number of variables   :   22 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_an_inverse_of_b,hypothesis,
    ( product(a,b,identity) )).

cnf(c_is_an_inverse_of_b,hypothesis,
    ( product(c,b,identity) )).

cnf(prove_a_equals_c,negated_conjecture,
    (  a != c )).

%--------------------------------------------------------------------------
