%--------------------------------------------------------------------------
% File     : GRP398-2 : TPTP v3.2.0. Released v2.5.0.
% Domain   : Group Theory (Subgroups)
% Problem  : Subgroup axioms for the GRP003 group theory axioms
% Version  : [Wos65] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
% Source   : [SPRFN]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.00 v3.2.0, 0.60 v3.1.0, 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses     :    9 (   0 non-Horn;   5 unit;   4 RR)
%            Number of atoms       :   20 (   1 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-3 arity)
%            Number of functors    :    3 (   1 constant; 0-2 arity)
%            Number of variables   :   25 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Group theory axioms
include('Axioms/GRP003-0.ax').
%----Include Subgroup axioms for the GRP003 group theory axioms
include('Axioms/GRP003-2.ax').
%--------------------------------------------------------------------------
