%--------------------------------------------------------------------------
% File     : RNG002-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Right cancellation for addition
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [OMW76] Overbeek et al. (1976), Complexity and Related Enhance
% Source   : [MOW76]
% Names    : Established lemma [MOW76]
%          : Lemma proved [OMW76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   20 (   0 non-Horn;   9 unit;  14 RR)
%            Number of atoms       :   53 (   3 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   71 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%--------------------------------------------------------------------------
cnf(a_plus_b_is_d,hypothesis,
    ( sum(a,b,d) )).

cnf(a_plus_c_is_d,hypothesis,
    ( sum(a,c,d) )).

cnf(prove_b_equals_c,negated_conjecture,
    (  b != c )).

%--------------------------------------------------------------------------
