%------------------------------------------------------------------------------
% File     : SET900+1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Set theory
% Problem  : Basic properties of sets, theorem 41
% Version  : [Urb06] axioms : Especial.
% English  :

% Refs     : [Byl89] Bylinski (1989), Some Basic Properties of Sets
%            [Urb06] Urban (2006), Email to G. Sutcliffe
% Source   : [Urb06]
% Names    : zfmisc_1__t41_zfmisc_1 [Urb06]

% Status   : Theorem
% Rating   : 0.14 v3.2.0
% Syntax   : Number of formulae    :    6 (   3 unit)
%            Number of atoms       :   13 (   6 equality)
%            Maximal formula depth :   10 (   5 average)
%            Number of connectives :   19 (  12 ~  ;   0  |;   6  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   1 constant; 0-1 arity)
%            Number of variables   :   10 (   0 singleton;   8 !;   2 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Translated by MPTP 0.2 from the original problem in the Mizar 
%            library, www.mizar.org
%------------------------------------------------------------------------------
fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] : 
      ( in(A,B)
     => ~ in(B,A) ) )).

fof(fc1_xboole_0,axiom,(
    empty(empty_set) )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(t41_zfmisc_1,conjecture,(
    ! [A,B] : 
      ~ ( A != singleton(B)
        & A != empty_set
        & ! [C] : 
            ~ ( in(C,A)
              & C != B ) ) )).

fof(l45_zfmisc_1,axiom,(
    ! [A,B] : 
      ~ ( A != singleton(B)
        & A != empty_set
        & ! [C] : 
            ~ ( in(C,A)
              & C != B ) ) )).
%------------------------------------------------------------------------------
