%--------------------------------------------------------------------------
% File     : SWV005-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Software Verification
% Problem  : E4
% Version  : Especial.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [SETHEO]
% Names    : E4 [MOW76]
%          : v4.lop [SETHEO]

% Status   : Unsatisfiable
% Rating   : 0.07 v3.2.0, 0.00 v3.1.0, 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   21 (   2 non-Horn;  11 unit;  16 RR)
%            Number of atoms       :   39 (   9 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   5 constant; 0-1 arity)
%            Number of variables   :   25 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : This problem was contributed to [MOW76] in private
%            correspondance from G. Ernst. The axioms are incomplete.
%--------------------------------------------------------------------------
%----Include axioms for this program verification 
include('Axioms/SWV001-0.ax').
%--------------------------------------------------------------------------
cnf(clause_1,negated_conjecture,
    ( ~ less_than(n,k) )).

cnf(clause_2,negated_conjecture,
    ( ~ less_than(k,l) )).

cnf(clause_3,negated_conjecture,
    ( ~ less_than(k,i) )).

cnf(clause_4,negated_conjecture,
    ( less_than(l,n) )).

cnf(clause_5,negated_conjecture,
    ( less_than(one,l) )).

cnf(clause_6,negated_conjecture,
    ( less_than(a(k),a(predecessor(l))) )).

cnf(clause_7,negated_conjecture,
    ( less_than(X,l)
    | ~ less_than(X,successor(n))
    | ~ less_than(a(X),a(k)) )).

cnf(clause_8,negated_conjecture,
    ( less_than(X,l)
    | less_than(n,X)
    | ~ less_than(one,l)
    | ~ less_than(a(X),a(predecessor(l))) )).

cnf(clause_9,negated_conjecture,
    ( ~ less_than(one,X)
    | ~ less_than(X,l)
    | ~ less_than(a(X),a(predecessor(X))) )).

%--------------------------------------------------------------------------
