%--------------------------------------------------------------------------
% File     : SYN325-1 : TPTP v3.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.9 (2)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch9N2 [Tam94]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :    5 (   2 non-Horn;   1 unit;   3 RR)
%            Number of atoms       :    9 (   0 equality)
%            Maximal clause size   :    2 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   0 constant; 1-1 arity)
%            Number of variables   :    5 (   1 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( f(X,X)
    | f(X,y(X)) )).

cnf(clause2,negated_conjecture,
    ( f(X,X)
    | g(X) )).

cnf(clause3,negated_conjecture,
    ( ~ f(y(X),y(X))
    | f(X,y(X)) )).

cnf(clause4,negated_conjecture,
    ( ~ f(y(X),y(X))
    | g(X) )).

cnf(clause5,negated_conjecture,
    ( ~ g(y(X)) )).

%--------------------------------------------------------------------------
