%--------------------------------------------------------------------------
% File     : SYN341-1 : TPTP v3.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.15 (6)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch15N6 [Tam94]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   2 unit;   1 RR)
%            Number of atoms       :    2 (   0 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 3-3 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :    4 (   1 singleton)
%            Maximal term depth    :    2 (   2 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( f(Y1,y2(Y1),Y3) )).

cnf(clause2,negated_conjecture,
    ( ~ f(y2(Y1),Y3,y4(Y1,Y3)) )).

%--------------------------------------------------------------------------
